Foxit PDF SDK

Public Member Functions | List of all members
FSDK.TableGeneratorCallback Class Reference

## Public Member Functions
| GetNewPageBasicInfo (page_index, rest_table_height, table_width)
| A callback function to get new page basic information to be generated to a new page. More...
| GetTableTopMarginToPage (page_index)
| A callback function to get the top margin for generating table to an new page. More...
| Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for generating table. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ GetNewPageBasicInfo()

FSDK.TableGeneratorCallback.GetNewPageBasicInfo | ( | page_index | ,
|  | rest_table_height | ,
|  | table_width |
| ) |  |

A callback function to get new page basic information to be generated to a new page.

This callback function is only used for FSDK.TableGenerator.InsertTablePagesToDocument. It will be triggered if the page width or page height is less than or equal to zero. Users must ensure that the text size is greater than zero in FSDK.RichTextStyle if the content of cell is text.

Parameters

  [in] | page_index | The page index. It would start from 0.
  [in] | rest_table_height | The rest table height(unit is 1/72 inch).
  [in] | table_width | The table width(unit is 1/72 inch).

Returns
  The basic page information.(The rotation will not be unsupported currently).

## ◆ GetTableTopMarginToPage()

FSDK.TableGeneratorCallback.GetTableTopMarginToPage | ( | page_index |  | ) |

A callback function to get the top margin for generating table to an new page.

Parameters

  [in] | page_index | The page index. It would start from 0.

Returns
  The table top margin to page.

## ◆ Release()

FSDK.TableGeneratorCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.